Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000029 [cparser] unknown crash always 2008-12-15 22:17 2009-01-28 21:55
Reporter sanxiyn View Status public  
Assigned To Tron
Priority normal Resolution fixed  
Status closed   Product Version 0.9.7
Summary 0000029: Crash in is_type_function
Description typedef void func_t(void);
func_t f;
void f() {}

$ cparser -c test.c
cparser: type_t.h:258: is_type_function: Assertion `!is_typeref(type)' failed.

Perhaps skip_typeref is missing?

Reduced from irssi 0.8.12 irc/core/modes.c.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000040)
Tron (administrator)
2008-12-16 20:05

Thanks for the report. The problem has been resolved in r24730.

- Issue History
Date Modified Username Field Change
2008-12-15 22:17 sanxiyn New Issue
2008-12-16 20:05 Tron Note Added: 0000040
2008-12-16 20:05 Tron Status new => resolved
2008-12-16 20:05 Tron Resolution open => fixed
2008-12-16 20:05 Tron Assigned To => Tron
2009-01-28 21:55 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker